### Hierarchy

- TreeWalker

## Index

### Properties

- currentNode
- filter
- root
- whatToShow

### Methods

- firstChild
- lastChild
- nextNode
- nextSibling
- parentNode
- previousNode
- previousSibling

## Properties

### currentNode

currentNode: Node

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15036

### filter

filter: NodeFilter | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15037

### root

root: Node

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15038

### whatToShow

whatToShow: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15039

## Methods

### firstChild

- firstChild(): Node | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15040

  #### Returns Node | null

### lastChild

- lastChild(): Node | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15041

  #### Returns Node | null

### nextNode

- nextNode(): Node | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15042

  #### Returns Node | null

### nextSibling

- nextSibling(): Node | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15043

  #### Returns Node | null

### parentNode

- parentNode(): Node | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15044

  #### Returns Node | null

### previousNode

- previousNode(): Node | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15045

  #### Returns Node | null

### previousSibling

- previousSibling(): Node | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15046

  #### Returns Node | null

Generated using TypeDoc